define(["require", "exports", "./decorators"], function (require, exports, decorators_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    function getDecorators(container) {
        var lazyInject = decorators_1.makePropertyInjectDecorator(container);
        var lazyInjectNamed = decorators_1.makePropertyInjectNamedDecorator(container);
        var lazyInjectTagged = decorators_1.makePropertyInjectTaggedDecorator(container);
        var lazyMultiInject = decorators_1.makePropertyMultiInjectDecorator(container);
        return {
            lazyInject: lazyInject,
            lazyInjectNamed: lazyInjectNamed,
            lazyInjectTagged: lazyInjectTagged,
            lazyMultiInject: lazyMultiInject
        };
    }
    exports.default = getDecorators;
});
